using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.HM
{
    [Description("导航属性：作业流程及安全措施")]
    public class T_HM_OPERATION_STEP_SAFE_MEASURE : MesEntityBase
    {
        /// <summary>
        /// 作业环节ID
        /// </summary>
        [Description("作业环节ID")]
        [DataFieldForeignKey("Nav_OperationStep", "Nav_SafeMeasures")]
        public Guid OPERATION_STEP_ID { get; set; }

        /// <summary>
        /// 导航属性：作业环节
        /// </summary>
        [Description("导航属性：作业环节")]
        public T_HM_OPERATION_STEP Nav_OperationStep { get; set; }
        /// <summary>
        /// 编码
        /// </summary>
        [Description("编码")]
        [DataFieldLength(50)]
        public string CODE { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        [Description("名称")]
        [DataFieldLength(600)]
        [FormFieldEdit]
        public string NAME { get; set; }

        [Description("序号")]
        public int? NUM { get; set; }
    }
}
